From 13047f38ca9adef0c0a0b0afce420dc912290d35 Mon Sep 17 00:00:00 2001
From: Willem Remie <w.remie@drebble.io>
Date: Thu, 9 Jan 2020 21:16:49 +0100
Subject: [PATCH] add BME680 to i2c-sensor overlay

---
 arch/arm/boot/dts/overlays/README             |  7 +++++--
 .../boot/dts/overlays/i2c-sensor-overlay.dts  | 19 ++++++++++++++++++-
 2 files changed, 23 insertions(+), 3 deletions(-)

--- a/arch/arm/boot/dts/overlays/README
+++ b/arch/arm/boot/dts/overlays/README
@@ -1159,12 +1159,15 @@ Name:   i2c-sensor
 Info:   Adds support for a number of I2C barometric pressure and temperature
         sensors on i2c_arm
 Load:   dtoverlay=i2c-sensor,<param>=<val>
-Params: addr                    Set the address for the BME280, BMP280, DS1621,
-                                HDC100X, LM75, SHT3x or TMP102
+Params: addr                    Set the address for the BME280, BME680, BMP280,
+                                DS1621, HDC100X, LM75, SHT3x or TMP102
 
         bme280                  Select the Bosch Sensortronic BME280
                                 Valid addresses 0x76-0x77, default 0x76
 
+        bme680                  Select the Bosch Sensortronic BME680
+                                Valid addresses 0x76-0x77, default 0x76
+
         bmp085                  Select the Bosch Sensortronic BMP085
 
         bmp180                  Select the Bosch Sensortronic BMP180
--- a/arch/arm/boot/dts/overlays/i2c-sensor-overlay.dts
+++ b/arch/arm/boot/dts/overlays/i2c-sensor-overlay.dts
@@ -216,10 +216,26 @@
 		};
 	};
 
+	fragment@14 {
+		target = <&i2c_arm>;
+		__dormant__ {
+			#address-cells = <1>;
+			#size-cells = <0>;
+			status = "okay";
+
+			bme680: bme680@76 {
+				compatible = "bosch,bme680";
+				reg = <0x76>;
+				status = "okay";
+			};
+		};
+	};
+
+
 	__overrides__ {
 		addr =  <&bme280>,"reg:0", <&bmp280>,"reg:0", <&tmp102>,"reg:0",
 			<&lm75>,"reg:0", <&hdc100x>,"reg:0", <&sht3x>,"reg:0",
-			<&ds1621>,"reg:0";
+			<&ds1621>,"reg:0", <&bme680>,"reg:0";
 		bme280 = <0>,"+0";
 		bmp085 = <0>,"+1";
 		bmp180 = <0>,"+2";
@@ -235,5 +251,6 @@
 		sht3x = <0>,"+11";
 		ds1621 = <0>,"+12";
 		max17040 = <0>,"+13";
+		bme680 = <0>,"+14";
 	};
 };
